[CentOS] yum "Requires" yum-plugin-fastestmirror; why?

Warren Young wyml at etr-usa.com
Fri Jun 17 19:04:52 UTC 2016


In another recent thread,[1] someone was having trouble with the yum-plugin-fastestmirror feature, so I suggested he remove it, since it’s just a plugin and should therefore be optional.  He reported that it couldn’t be removed due to package dependencies.

I investigated further and found that this also affects CentOS 5.11 and CentOS 7.2.  (The OP is on CentOS 6.8.)  So, I reported it as a bug upstream, and they claim their yum package doesn’t do that, so they’re bouncing the problem back downstream.

I checked, and they’re right insofar as CentOS’s current C7 yum.spec file has this on line 118:

  Requires: yum-plugin-fastestmirror 

I then tried to go get the RHEL SRPM for yum to compare its spec file to C7’s, but their download site just refers visitors to git.centos.org, and the yum repo there doesn’t seem to have an upstream RHEL7 branch.

So, I started poking around in the yum.spec file history, and indeed, the oldest yum.spec file on the c7 branch doesn’t have that Requires line!  It was introduced in checkin f1c1b982, which claims all it does is “debrand yum-3.4.3-132.el7”.[2]

I realize it is in the CentOS project’s best interest if users always use the fastest mirror when downloading, but I claim that it is a bug to mark any plugin as Requires, particularly when upstream does not.
  

[1]: https://lists.centos.org/pipermail/centos/2016-June/159933.html
[2]: https://git.centos.org/blobdiff/rpms!yum/f1c1b9820b3d295cf5b44fa7fc8ff3673ec6d391/SPECS!yum.spec


More information about the CentOS mailing list